---
title: DeviceProximityEvent
slug: Web/API/DeviceProximityEvent
tags:
  - API
  - Interface
  - Proximity Events
  - Reference
---
<div>{{APIRef("Proximity Events")}}{{Obsolete_Header}}</div>

<p>The <strong><code>DeviceProximityEvent</code></strong> interface provides information about the distance of a nearby physical object using the proximity sensor of a device.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("DeviceProximityEvent.max")}} {{readonlyinline}}</dt>
 <dd>The maximum sensing distance the sensor is able to report, in centimeters.</dd>
 <dt>{{domxref("DeviceProximityEvent.min")}} {{readonlyinline}}</dt>
 <dd>The minimum sensing distance the sensor is able to report, in centimeters. Ususally zero.</dd>
 <dt>{{domxref("DeviceProximityEvent.value")}} {{readonlyinline}}</dt>
 <dd>The current device proximity, in centimeters.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">window.addEventListener('deviceproximity', function(event) {
  console.log(<code class="brush: js">"value: " + event.value, "max: " + event.max, "min: " + event.min</code>);
});</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DeviceProximityEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("deviceproximity")}}</li>
 <li>{{domxref("UserProximityEvent")}}</li>
 <li><a href="/en-US/docs/WebAPI/Proximity">Proximity API</a></li>
</ul>
